Package com.orbbec.obsensor

## Class OBNetworkConfig

- java.lang.Object
- - com.orbbec.obsensor.OBNetworkConfig

    public class OBNetworkConfig
    extends java.lang.Object

Network config of IP v4

### Constructor Summary

Constructors
`OBNetworkConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getGateway()` Gateway, IP v4
`java.lang.String` `getIP()` IP address, IP v4
`java.lang.String` `getMask()` Mask, IP v4
`boolean` `isDhcpEnable()` DHCP status
`void` `setDhcpEnable​(boolean dhcpEnable)` DHCP status
`void` `setGateway​(java.lang.String gateway)` Gateway, IP v4
`void` `setIP​(java.lang.String ip)` IP address, IP v4
`void` `setMask​(java.lang.String mask)` Mask, IP v4
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OBNetworkConfig

    public OBNetworkConfig()

### Method Detail

#### isDhcpEnable

    public boolean isDhcpEnable()

DHCP status

Returns:
  true:static IP; false: DHCP

#### setDhcpEnable

    public void setDhcpEnable​(boolean dhcpEnable)

DHCP status

Parameters:
  `dhcpEnable` - true:static IP; false: DHCP

#### getIP

    public java.lang.String getIP()

IP address, IP v4

Returns:
  ip address.

#### setIP

    public void setIP​(java.lang.String ip)

IP address, IP v4

Parameters:
  `ip` - ip address.

#### getMask

    public java.lang.String getMask()

Mask, IP v4

Returns:
  mask.

#### setMask

    public void setMask​(java.lang.String mask)

Mask, IP v4

Parameters:
  `mask` - mask, IP v4.

#### getGateway

    public java.lang.String getGateway()

Gateway, IP v4

Returns:
  gateway.

#### setGateway

    public void setGateway​(java.lang.String gateway)

Gateway, IP v4

Parameters:
  `gateway` - gateway, IP v4.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`